<?php
/************************************************************************
 * MXChange v0.2.1                                    Start: 09/28/2003 *
 * ===============                              Last change: 06/10/2004 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : what-del_user.php                                *
 * -------------------------------------------------------------------- *
 * Short description : Delete members                                   *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Mitglieder l�schen                               *
 * -------------------------------------------------------------------- *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2008 by Roland Haeder                           *
 * For more information visit: http://www.mxchange.org                  *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if ((ereg(basename(__FILE__), $_SERVER['PHP_SELF'])) || (!IS_ADMIN()))
{
	$INC = substr(dirname(__FILE__), 0, strpos(dirname(__FILE__), "/inc") + 4) . "/security.php";
	require($INC);
}

// Display only title when no form was submitted
ADD_DESCR("admin", basename(__FILE__));

OPEN_TABLE("100%", "admin_content admin_content_align", "");

// User exists..
if ((isset($_POST['ok'])) || ((isset($_POST['del'])) && (!empty($_POST['reason']))))
{
	// Delete users account
	$result_user = SQL_QUERY_ESC("SELECT userid FROM "._MYSQL_PREFIX."_user_data WHERE userid=%d LIMIT 1",
	 array(bigintval($_GET['u_id'])), __FILE__, __LINE__);
	if (SQL_NUMROWS($result_user) == 1)
	{
		// Free memory
		SQL_FREERESULT($result);

		// Delete user account
		DELETE_USER_ACCOUNT(bigintval($_GET['u_id']), $_POST['reason']);
		OUTPUT_HTML ("<STRONG class=\"admin_green\">".ADMIN_DEL_COMPLETED."</STRONG>");
	}
	 else
	{
		// Account does not exists!
		OUTPUT_HTML ("<STRONG class=\"admin_failed\">".ADMIN_MEMBER_404_1.$_GET['u_id'].ADMIN_MEMBER_404_2."</STRONG>");
	}
}
 elseif (!empty($_POST['no']))
{
	// Do not delete him...
	LOAD_URL(URL."/modules.php?module=admin&amp;what=list_user&amp;u_id=".$_GET['u_id']);
}
 elseif (empty($_GET['u_id']))
{
	// Output selection form with all confirmed user accounts listed
	ADD_MEMBER_SELECTION_BOX();
}
 else
{
	// Realy want to delete?
	$result = SQL_QUERY_ESC("SELECT email, surname, family FROM "._MYSQL_PREFIX."_user_data WHERE userid=%d LIMIT 1",
	 array(bigintval($_GET['u_id'])), __FILE__, __LINE__);
	if (SQL_NUMROWS($result) == 1)
	{
		// Load data
		list ($email, $sname, $fname) = SQL_FETCHROW($result);
		SQL_FREERESULT($result);

		// Transfer data to constants for the template
		define('__EMAIL', CREATE_EMAIL_LINK($email, "user_data"));
		define('__SNAME', $sname);
		define('__FNAME', $fname);
		define('__UID'  , $_GET['u_id']);

		// Display form
		LOAD_TEMPLATE("admin_del_user");
	}
	 else
	{
		// Account does not exists!
		OUTPUT_HTML ("<STRONG class=\"admin_failed\">".ADMIN_MEMBER_404_1.$_GET['u_id'].ADMIN_MEMBER_404_2."</STRONG>");
	}
}
CLOSE_TABLE();
//
?>
